import sqlite3
import flask
from webapp import app, config

@app.before_request
def make_cursor():
    flask.g.conn = sqlite3.connect(config.DB_FILE)
    flask.g.db = flask.g.conn.cursor()

@app.teardown_request
def teardown_cursor(e):
    flask.g.db.close()
    flask.g.conn.commit()
    flask.g.conn.close()

def execute(query, *args):
    return flask.g.db.execute(query, args)

def fetchall():
    return flask.g.db.fetchall()
